Клуб API Карт

API Яндекс.Карт версия 2.0.40

ymapsapi
2 апреля 2015, 18:53

Сегодня мы опубликовали новую версию API Яндекс.Карт 2.0 — 2.0.40. Она доступна по адресу api-maps.yandex.ru/2.0.40. В ближайший вторник на новую версию будут переключены api-maps.yandex.ru/2.0 и api-maps.yandex.ru/2.0-stable.

 

Исправлено:

 — Не происходило отклонение Promise при невозможности построить маршрут.

 — В определённых условиях происходило исключение при клике по пробкам в IE8.

 — Не изменялась заливка типа 'tile' при смене опции 'fill' для многоугольников.

 — Области с полностью прозрачной заливкой оставались интерактивными в IE.

 

Обратите внимание, в новой версии на встроенной карте появилась панель, предлагающая пользователю обновить устаревшую версию браузера. Такая же панель появится и в ближайшем релизе API 2.1.

Показ панели можно отключить опцией карты 'suppressObsoleteBrowserNotifier'. Список поддерживаемых браузеров можно найти в документации.

 

 

Мы прилагаем все усилия, чтобы поддерживать максимально возможную совместимость API Карт со всеми браузерами, даже если они устарели или не содержат последних обновлений. Эта поддержка стоит нам значительных усилий: в последних релизах доля исправлений, связанных только с поддержкой устаревших версий браузеров, достигает 25% от общего потока задач. Каждый устаревший браузер, исключённый из поддержки, позволяет нам перераспределить ресурсы на разработку новых возожностей работы с картой. Именно поэтому мы показываем предложение обновиться пользователям устаревших браузеров. Мы просим вас с пониманием отнестись к нашей инициативе.

 

Команда разработчиков API Яндекс.Карт